Bug 1646905 - Quote not allowed in button name [NEEDINFO]
Summary: Quote not allowed in button name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Milan Zázrivec
QA Contact: Nikhil Dhandre
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-06 09:41 UTC by Cyril Coupel
Modified: 2019-02-07 23:04 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:56 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:
simaishi: needinfo? (dmetzger)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:04:01 UTC

Description Cyril Coupel 2018-11-06 09:41:29 UTC
Description of problem:
when a cote "'" is in the button name, the dialog associated with this button is not showned when th ebutton is clicked, an indefinite wheel is shown

Version-Release number of selected component (if applicable):
5.9.4

How reproducible:
every time

Steps to Reproduce:
1. create a button with a cote "'" in the name like "configurer l'OS"
2. associate this button with a dialog
3. click the button

Actual results:
an indefinite wheel is shown

Expected results:
the dialog is shown

Additional info:
This was worjing as expected in 5.8

Comment 4 CFME Bot 2018-11-12 12:01:45 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/d87b3b72a580a261a7747454972513e907080622
commit d87b3b72a580a261a7747454972513e907080622
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Fri Nov  9 06:45:32 2018 -0500
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Fri Nov  9 06:45:32 2018 -0500

    Allow apostrophes in custom button names

    https://bugzilla.redhat.com/show_bug.cgi?id=1646905

 app/views/shared/dialogs/_dialog_user.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 5 CFME Bot 2018-11-12 16:09:02 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/cad0a1fc5d01bafc766b8101ca318c83b532c160
commit cad0a1fc5d01bafc766b8101ca318c83b532c160
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Mon Nov 12 07:00:02 2018 -0500
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Mon Nov 12 07:00:02 2018 -0500

    Merge pull request #4900 from mzazrivec/allow_apostrophe_in_custom_button_names

    Allow apostrophes in custom button names

    (cherry picked from commit 7acb64d4b3d472fc8c6bb0690f283374577ae3e5)

    https://bugzilla.redhat.com/show_bug.cgi?id=1646905

 app/views/shared/dialogs/_dialog_user.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 8 CFME Bot 2018-11-29 14:06:45 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/4f7e103e43e6483ab944c8f6c3e7bd44eccab045
commit 4f7e103e43e6483ab944c8f6c3e7bd44eccab045
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Thu Nov 29 08:16:13 2018 -0500
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Thu Nov 29 08:16:13 2018 -0500

    Allow apostrophes in custom button names

    https://bugzilla.redhat.com/show_bug.cgi?id=1646905

 app/views/shared/dialogs/_dialog_user.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 9 CFME Bot 2018-12-03 15:22:53 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/6a27515af7a4510ec1ed65abf0ae5d673f6d904d
commit 6a27515af7a4510ec1ed65abf0ae5d673f6d904d
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Thu Nov 29 09:05:20 2018 -0500
Commit:     Martin Hradil <himdel@seznam.cz>
CommitDate: Thu Nov 29 09:05:20 2018 -0500

    Merge pull request #5010 from mzazrivec/allow_apostrophe_in_custom_button_names_2

    Allow apostrophes in custom button names

    (cherry picked from commit 402907f08bfe79ab07cf13fd3639ccb1d8608fac)

    https://bugzilla.redhat.com/show_bug.cgi?id=1646905

 app/views/shared/dialogs/_dialog_user.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 13 errata-xmlrpc 2019-02-07 23:03:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.